﻿<?php
class Validator {
	public static function makeSecure( $string) {
		if( empty( $string ) ) {
			return false;
			
		} else {
			$string = strip_tags( trim( ( $string ) ) );
			$string = escapeshellcmd( $string );
			return stripslashes( $string );
			
		}
	}

	public static function validateEmail( $mail) {
		$smail = self::makeSecure( $mail );
		
		$pattern = "/^([A-Za-z0-9_\-\.])+\@([A-Za-z0-9_\-\.])+\.([A-Za-z]{2,4})$/";
		$matches = array();
		
		preg_match($pattern, $smail, $matches );
		
		if	( count( $matches ) == 0 || count( $matches ) > 1) {
			return false;
			
		} else {
			return $smail;
			
		}
	}
}
?>